 <div>
   <select (change)="setYearData(year.value)" #year>
  <option
  *ngFor="let year of years" [value]="year" [selected] = "year === pickYear">{{ year }}
  </option>
</select>
 </div>
 <div>
   <select (change)="setMonthData(month.value)" #month>
     <option *ngFor="let mon of monthes; let i = index" [value]="i"
     [selected] = "i === pickMonth">{{ mon }}</option>
   </select>
</div>
<div class="row">
  <div class="cell nameWeekDay" *ngFor="let day of weekDay">{{ day }}</div>
</div>
<div class="row" *ngFor="let arr of calendar">
  <div class="cell" *ngFor="let item of arr">{{ item._date }}</div>
</div>